Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface Repository

All Superinterfaces
  Serializable

All Known Subinterfaces:
  ExtendedRepository

Deprecated As of 10.2, replaced by `RepositoryConfigOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface Repository

extends Serializable

Represents a content repository and facilitates connecting to it.

See Also
  `ExtendedRepository`

Method Summary
`Ticket` | `connect(Credentials credentials)` Deprecated Returns a ticket if the user can be authenticated.
`Ticket` | `connect(String username, String password)` Deprecated Returns a ticket if the user can be authenticated.
`String` | `getName()` Deprecated Gets the name of this Repository.
`Properties` | `getProperties()` Deprecated Gets the configuration properties for this repository.
`void` | `setName(String name)` Deprecated Sets the name of this Repository.
`void` | `setProperties(Properties properties)` Deprecated Sets the configuration properties for this repository.

Method Detail

### connect

    Ticket connect(Credentials credentials)
                   throws AuthenticationException,
                          RepositoryException

  Deprecated
  Returns a ticket if the user can be authenticated. The credentials is from a user that was already authenticated in the WebLogic server.

  Parameters
    `credentials` - - the credentials of the user connecting to the Repository.
  Throws
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### connect

    Ticket connect(String username,
                   String password)
                   throws AuthenticationException,
                          RepositoryException

  Deprecated
  Returns a ticket if the user can be authenticated.

  Parameters
    `username` - - the username to authenticate.
    `password` - - the password for the user.
  Throws
    `AuthenticationException` - if the authentication fails.
    `RepositoryException` - if a non-authentication error occurs.

### getName

    String getName()

  Deprecated
  Gets the name of this Repository.

### setName

    void setName(String name)

  Deprecated
  Sets the name of this Repository. This will always be set before connect is called.

### getProperties

    Properties getProperties()

  Deprecated
  Gets the configuration properties for this repository.

  Returns
    Properties, the repository configuration properties.

### setProperties

    void setProperties(Properties properties)

  Deprecated
  Sets the configuration properties for this repository. The config map will always be set before connect is called.

  Parameters
    `properties` - - the repository configuration properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.